package;


import haxe.Timer;
import haxe.Unserializer;
import lime.app.Preloader;
import lime.audio.AudioSource;
import lime.audio.openal.AL;
import lime.audio.AudioBuffer;
import lime.graphics.Image;
import lime.text.Font;
import lime.utils.ByteArray;
import lime.utils.UInt8Array;
import lime.Assets;

#if sys
import sys.FileSystem;
#end

#if flash
import flash.display.Bitmap;
import flash.display.BitmapData;
import flash.display.Loader;
import flash.events.Event;
import flash.media.Sound;
import flash.net.URLLoader;
import flash.net.URLRequest;
#end


class DefaultAssetLibrary extends AssetLibrary {
	
	
	public var className (default, null) = new Map <String, Dynamic> ();
	public var path (default, null) = new Map <String, String> ();
	public var type (default, null) = new Map <String, AssetType> ();
	
	private var lastModified:Float;
	private var timer:Timer;
	
	
	public function new () {
		
		super ();
		
		#if flash
		
		className.set ("assets/data/data-goes-here.txt", __ASSET__assets_data_data_goes_here_txt);
		type.set ("assets/data/data-goes-here.txt", AssetType.TEXT);
		className.set ("assets/images/bg_warehouse.png", __ASSET__assets_images_bg_warehouse_png);
		type.set ("assets/images/bg_warehouse.png", AssetType.IMAGE);
		className.set ("assets/images/bg_warehouse.pxi", __ASSET__assets_images_bg_warehouse_pxi);
		type.set ("assets/images/bg_warehouse.pxi", AssetType.BINARY);
		className.set ("assets/images/cursor.png", __ASSET__assets_images_cursor_png);
		type.set ("assets/images/cursor.png", AssetType.IMAGE);
		className.set ("assets/images/cursor.pxi", __ASSET__assets_images_cursor_pxi);
		type.set ("assets/images/cursor.pxi", AssetType.BINARY);
		className.set ("assets/images/images-go-here.txt", __ASSET__assets_images_images_go_here_txt);
		type.set ("assets/images/images-go-here.txt", AssetType.TEXT);
		className.set ("assets/images/interface.pxi", __ASSET__assets_images_interface_pxi);
		type.set ("assets/images/interface.pxi", AssetType.BINARY);
		className.set ("assets/images/interface_draft.png", __ASSET__assets_images_interface_draft_png);
		type.set ("assets/images/interface_draft.png", AssetType.IMAGE);
		className.set ("assets/images/interface_draft.psd", __ASSET__assets_images_interface_draft_psd);
		type.set ("assets/images/interface_draft.psd", AssetType.BINARY);
		className.set ("assets/images/interface_draft.pxi", __ASSET__assets_images_interface_draft_pxi);
		type.set ("assets/images/interface_draft.pxi", AssetType.BINARY);
		className.set ("assets/images/interface_draft_old.png", __ASSET__assets_images_interface_draft_old_png);
		type.set ("assets/images/interface_draft_old.png", AssetType.IMAGE);
		className.set ("assets/images/interface_paper_orange.png", __ASSET__assets_images_interface_paper_orange_png);
		type.set ("assets/images/interface_paper_orange.png", AssetType.IMAGE);
		className.set ("assets/images/interface_rock_orange.png", __ASSET__assets_images_interface_rock_orange_png);
		type.set ("assets/images/interface_rock_orange.png", AssetType.IMAGE);
		className.set ("assets/images/interface_scissors_orange.png", __ASSET__assets_images_interface_scissors_orange_png);
		type.set ("assets/images/interface_scissors_orange.png", AssetType.IMAGE);
		className.set ("assets/images/losescreen.pxi", __ASSET__assets_images_losescreen_pxi);
		type.set ("assets/images/losescreen.pxi", AssetType.BINARY);
		className.set ("assets/images/losescreen2.pxi", __ASSET__assets_images_losescreen2_pxi);
		type.set ("assets/images/losescreen2.pxi", AssetType.BINARY);
		className.set ("assets/images/losescreen3.pxi", __ASSET__assets_images_losescreen3_pxi);
		type.set ("assets/images/losescreen3.pxi", AssetType.BINARY);
		className.set ("assets/images/losescreen_typecard.png", __ASSET__assets_images_losescreen_typecard_png);
		type.set ("assets/images/losescreen_typecard.png", AssetType.IMAGE);
		className.set ("assets/images/losescreen_typecard.pxi", __ASSET__assets_images_losescreen_typecard_pxi);
		type.set ("assets/images/losescreen_typecard.pxi", AssetType.BINARY);
		className.set ("assets/images/mouse.pxi", __ASSET__assets_images_mouse_pxi);
		type.set ("assets/images/mouse.pxi", AssetType.BINARY);
		className.set ("assets/images/paper.png", __ASSET__assets_images_paper_png);
		type.set ("assets/images/paper.png", AssetType.IMAGE);
		className.set ("assets/images/paper.pxi", __ASSET__assets_images_paper_pxi);
		type.set ("assets/images/paper.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.png", __ASSET__assets_images_paper_anim_png);
		type.set ("assets/images/paper_anim.png", AssetType.IMAGE);
		className.set ("assets/images/paper_anim.pxa/0.pxi", __ASSET__assets_images_paper_anim_pxa_0_pxi);
		type.set ("assets/images/paper_anim.pxa/0.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.pxa/1.pxi", __ASSET__assets_images_paper_anim_pxa_1_pxi);
		type.set ("assets/images/paper_anim.pxa/1.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.pxa/2.pxi", __ASSET__assets_images_paper_anim_pxa_2_pxi);
		type.set ("assets/images/paper_anim.pxa/2.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.pxa/3.pxi", __ASSET__assets_images_paper_anim_pxa_3_pxi);
		type.set ("assets/images/paper_anim.pxa/3.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.pxa/4.pxi", __ASSET__assets_images_paper_anim_pxa_4_pxi);
		type.set ("assets/images/paper_anim.pxa/4.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.pxa/5.pxi", __ASSET__assets_images_paper_anim_pxa_5_pxi);
		type.set ("assets/images/paper_anim.pxa/5.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.pxa/6.pxi", __ASSET__assets_images_paper_anim_pxa_6_pxi);
		type.set ("assets/images/paper_anim.pxa/6.pxi", AssetType.BINARY);
		className.set ("assets/images/paper_anim.pxa/CelData.plist", __ASSET__assets_images_paper_anim_pxa_celdata_plist);
		type.set ("assets/images/paper_anim.pxa/CelData.plist", AssetType.TEXT);
		className.set ("assets/images/paper_anim.pxa/Settings.plist", __ASSET__assets_images_paper_anim_pxa_settings_plist);
		type.set ("assets/images/paper_anim.pxa/Settings.plist", AssetType.TEXT);
		className.set ("assets/images/paper_anim_old.png", __ASSET__assets_images_paper_anim_old_png);
		type.set ("assets/images/paper_anim_old.png", AssetType.IMAGE);
		className.set ("assets/images/paper_anim_old2.png", __ASSET__assets_images_paper_anim_old2_png);
		type.set ("assets/images/paper_anim_old2.png", AssetType.IMAGE);
		className.set ("assets/images/playerpaper.png", __ASSET__assets_images_playerpaper_png);
		type.set ("assets/images/playerpaper.png", AssetType.IMAGE);
		className.set ("assets/images/playerpaper.pxi", __ASSET__assets_images_playerpaper_pxi);
		type.set ("assets/images/playerpaper.pxi", AssetType.BINARY);
		className.set ("assets/images/playerrock.png", __ASSET__assets_images_playerrock_png);
		type.set ("assets/images/playerrock.png", AssetType.IMAGE);
		className.set ("assets/images/playerrock.pxi", __ASSET__assets_images_playerrock_pxi);
		type.set ("assets/images/playerrock.pxi", AssetType.BINARY);
		className.set ("assets/images/playerscissors.png", __ASSET__assets_images_playerscissors_png);
		type.set ("assets/images/playerscissors.png", AssetType.IMAGE);
		className.set ("assets/images/playerscissors.pxi", __ASSET__assets_images_playerscissors_pxi);
		type.set ("assets/images/playerscissors.pxi", AssetType.BINARY);
		className.set ("assets/images/replaybutton_anim.png", __ASSET__assets_images_replaybutton_anim_png);
		type.set ("assets/images/replaybutton_anim.png", AssetType.IMAGE);
		className.set ("assets/images/rock copy.png", __ASSET__assets_images_rock_copy_png);
		type.set ("assets/images/rock copy.png", AssetType.IMAGE);
		className.set ("assets/images/rock.png", __ASSET__assets_images_rock_png);
		type.set ("assets/images/rock.png", AssetType.IMAGE);
		className.set ("assets/images/rock.pxi", __ASSET__assets_images_rock_pxi);
		type.set ("assets/images/rock.pxi", AssetType.BINARY);
		className.set ("assets/images/rock_anim.png", __ASSET__assets_images_rock_anim_png);
		type.set ("assets/images/rock_anim.png", AssetType.IMAGE);
		className.set ("assets/images/scissors.pxi", __ASSET__assets_images_scissors_pxi);
		type.set ("assets/images/scissors.pxi", AssetType.BINARY);
		className.set ("assets/images/scissors_anim.png", __ASSET__assets_images_scissors_anim_png);
		type.set ("assets/images/scissors_anim.png", AssetType.IMAGE);
		className.set ("assets/images/scissors_anim.pxa/0.pxi", __ASSET__assets_images_scissors_anim_pxa_0_pxi);
		type.set ("assets/images/scissors_anim.pxa/0.pxi", AssetType.BINARY);
		className.set ("assets/images/scissors_anim.pxa/1.pxi", __ASSET__assets_images_scissors_anim_pxa_1_pxi);
		type.set ("assets/images/scissors_anim.pxa/1.pxi", AssetType.BINARY);
		className.set ("assets/images/scissors_anim.pxa/2.pxi", __ASSET__assets_images_scissors_anim_pxa_2_pxi);
		type.set ("assets/images/scissors_anim.pxa/2.pxi", AssetType.BINARY);
		className.set ("assets/images/scissors_anim.pxa/3.pxi", __ASSET__assets_images_scissors_anim_pxa_3_pxi);
		type.set ("assets/images/scissors_anim.pxa/3.pxi", AssetType.BINARY);
		className.set ("assets/images/scissors_anim.pxa/CelData.plist", __ASSET__assets_images_scissors_anim_pxa_celdata_plist);
		type.set ("assets/images/scissors_anim.pxa/CelData.plist", AssetType.TEXT);
		className.set ("assets/images/scissors_anim.pxa/Settings.plist", __ASSET__assets_images_scissors_anim_pxa_settings_plist);
		type.set ("assets/images/scissors_anim.pxa/Settings.plist", AssetType.TEXT);
		className.set ("assets/images/scissors_anim_old.png", __ASSET__assets_images_scissors_anim_old_png);
		type.set ("assets/images/scissors_anim_old.png", AssetType.IMAGE);
		className.set ("assets/images/scissors_old.png", __ASSET__assets_images_scissors_old_png);
		type.set ("assets/images/scissors_old.png", AssetType.IMAGE);
		className.set ("assets/images/scissors_old.pxi", __ASSET__assets_images_scissors_old_pxi);
		type.set ("assets/images/scissors_old.pxi", AssetType.BINARY);
		className.set ("assets/images/shadow.png", __ASSET__assets_images_shadow_png);
		type.set ("assets/images/shadow.png", AssetType.IMAGE);
		className.set ("assets/images/shadow.pxi", __ASSET__assets_images_shadow_pxi);
		type.set ("assets/images/shadow.pxi", AssetType.BINARY);
		className.set ("assets/images/splash_controls.png", __ASSET__assets_images_splash_controls_png);
		type.set ("assets/images/splash_controls.png", AssetType.IMAGE);
		className.set ("assets/images/splash_controls.psd", __ASSET__assets_images_splash_controls_psd);
		type.set ("assets/images/splash_controls.psd", AssetType.BINARY);
		className.set ("assets/images/splash_controls.pxi", __ASSET__assets_images_splash_controls_pxi);
		type.set ("assets/images/splash_controls.pxi", AssetType.BINARY);
		className.set ("assets/images/splash_controls2.psd", __ASSET__assets_images_splash_controls2_psd);
		type.set ("assets/images/splash_controls2.psd", AssetType.BINARY);
		className.set ("assets/images/splash_controls3.psd", __ASSET__assets_images_splash_controls3_psd);
		type.set ("assets/images/splash_controls3.psd", AssetType.BINARY);
		className.set ("assets/images/splash_title.png", __ASSET__assets_images_splash_title_png);
		type.set ("assets/images/splash_title.png", AssetType.IMAGE);
		className.set ("assets/images/splash_title.psd", __ASSET__assets_images_splash_title_psd);
		type.set ("assets/images/splash_title.psd", AssetType.BINARY);
		className.set ("assets/images/splash_title.pxi", __ASSET__assets_images_splash_title_pxi);
		type.set ("assets/images/splash_title.pxi", AssetType.BINARY);
		className.set ("assets/images/startbutton_anim.png", __ASSET__assets_images_startbutton_anim_png);
		type.set ("assets/images/startbutton_anim.png", AssetType.IMAGE);
		className.set ("assets/images/startbutton_anim.pxa/0.pxi", __ASSET__assets_images_startbutton_anim_pxa_0_pxi);
		type.set ("assets/images/startbutton_anim.pxa/0.pxi", AssetType.BINARY);
		className.set ("assets/images/startbutton_anim.pxa/1.pxi", __ASSET__assets_images_startbutton_anim_pxa_1_pxi);
		type.set ("assets/images/startbutton_anim.pxa/1.pxi", AssetType.BINARY);
		className.set ("assets/images/startbutton_anim.pxa/2.pxi", __ASSET__assets_images_startbutton_anim_pxa_2_pxi);
		type.set ("assets/images/startbutton_anim.pxa/2.pxi", AssetType.BINARY);
		className.set ("assets/images/startbutton_anim.pxa/3.pxi", __ASSET__assets_images_startbutton_anim_pxa_3_pxi);
		type.set ("assets/images/startbutton_anim.pxa/3.pxi", AssetType.BINARY);
		className.set ("assets/images/startbutton_anim.pxa/CelData.plist", __ASSET__assets_images_startbutton_anim_pxa_celdata_plist);
		type.set ("assets/images/startbutton_anim.pxa/CelData.plist", AssetType.TEXT);
		className.set ("assets/images/startbutton_anim.pxa/Settings.plist", __ASSET__assets_images_startbutton_anim_pxa_settings_plist);
		type.set ("assets/images/startbutton_anim.pxa/Settings.plist", AssetType.TEXT);
		className.set ("assets/images/startbutton_anim.pxi", __ASSET__assets_images_startbutton_anim_pxi);
		type.set ("assets/images/startbutton_anim.pxi", AssetType.BINARY);
		className.set ("assets/images/startbutton_anim_lg.png", __ASSET__assets_images_startbutton_anim_lg_png);
		type.set ("assets/images/startbutton_anim_lg.png", AssetType.IMAGE);
		className.set ("assets/images/thrower.png", __ASSET__assets_images_thrower_png);
		type.set ("assets/images/thrower.png", AssetType.IMAGE);
		className.set ("assets/images/thrower.pxi", __ASSET__assets_images_thrower_pxi);
		type.set ("assets/images/thrower.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.png", __ASSET__assets_images_thrower_anim_png);
		type.set ("assets/images/thrower_anim.png", AssetType.IMAGE);
		className.set ("assets/images/thrower_anim.pxa/0.pxi", __ASSET__assets_images_thrower_anim_pxa_0_pxi);
		type.set ("assets/images/thrower_anim.pxa/0.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.pxa/1.pxi", __ASSET__assets_images_thrower_anim_pxa_1_pxi);
		type.set ("assets/images/thrower_anim.pxa/1.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.pxa/2.pxi", __ASSET__assets_images_thrower_anim_pxa_2_pxi);
		type.set ("assets/images/thrower_anim.pxa/2.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.pxa/3.pxi", __ASSET__assets_images_thrower_anim_pxa_3_pxi);
		type.set ("assets/images/thrower_anim.pxa/3.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.pxa/4.pxi", __ASSET__assets_images_thrower_anim_pxa_4_pxi);
		type.set ("assets/images/thrower_anim.pxa/4.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.pxa/5.pxi", __ASSET__assets_images_thrower_anim_pxa_5_pxi);
		type.set ("assets/images/thrower_anim.pxa/5.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.pxa/6.pxi", __ASSET__assets_images_thrower_anim_pxa_6_pxi);
		type.set ("assets/images/thrower_anim.pxa/6.pxi", AssetType.BINARY);
		className.set ("assets/images/thrower_anim.pxa/CelData.plist", __ASSET__assets_images_thrower_anim_pxa_celdata_plist);
		type.set ("assets/images/thrower_anim.pxa/CelData.plist", AssetType.TEXT);
		className.set ("assets/images/thrower_anim.pxa/Settings.plist", __ASSET__assets_images_thrower_anim_pxa_settings_plist);
		type.set ("assets/images/thrower_anim.pxa/Settings.plist", AssetType.TEXT);
		className.set ("assets/images/tower.png", __ASSET__assets_images_tower_png);
		type.set ("assets/images/tower.png", AssetType.IMAGE);
		className.set ("assets/images/tower.pxi", __ASSET__assets_images_tower_pxi);
		type.set ("assets/images/tower.pxi", AssetType.BINARY);
		className.set ("assets/music/music-goes-here.txt", __ASSET__assets_music_music_goes_here_txt);
		type.set ("assets/music/music-goes-here.txt", AssetType.TEXT);
		className.set ("assets/music/rockpaperscissors.wav", __ASSET__assets_music_rockpaperscissors_wav);
		type.set ("assets/music/rockpaperscissors.wav", AssetType.SOUND);
		className.set ("assets/sounds/sounds-go-here.txt", __ASSET__assets_sounds_sounds_go_here_txt);
		type.set ("assets/sounds/sounds-go-here.txt", AssetType.TEXT);
		className.set ("assets/sounds/beep.mp3", __ASSET__assets_sounds_beep_mp3);
		type.set ("assets/sounds/beep.mp3", AssetType.MUSIC);
		className.set ("assets/sounds/flixel.mp3", __ASSET__assets_sounds_flixel_mp3);
		type.set ("assets/sounds/flixel.mp3", AssetType.MUSIC);
		
		
		#elseif html5
		
		var id;
		id = "assets/data/data-goes-here.txt";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/bg_warehouse.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/bg_warehouse.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/cursor.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/cursor.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/images-go-here.txt";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/interface.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/interface_draft.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/interface_draft.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/interface_draft.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/interface_draft_old.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/interface_paper_orange.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/interface_rock_orange.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/interface_scissors_orange.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/losescreen.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/losescreen2.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/losescreen3.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/losescreen_typecard.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/losescreen_typecard.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/mouse.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/paper.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/paper_anim.pxa/0.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.pxa/1.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.pxa/2.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.pxa/3.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.pxa/4.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.pxa/5.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.pxa/6.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/paper_anim.pxa/CelData.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/paper_anim.pxa/Settings.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/paper_anim_old.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/paper_anim_old2.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/playerpaper.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/playerpaper.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/playerrock.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/playerrock.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/playerscissors.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/playerscissors.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/replaybutton_anim.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/rock copy.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/rock.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/rock.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/rock_anim.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/scissors.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/scissors_anim.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/scissors_anim.pxa/0.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/scissors_anim.pxa/1.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/scissors_anim.pxa/2.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/scissors_anim.pxa/3.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/scissors_anim.pxa/CelData.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/scissors_anim.pxa/Settings.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/scissors_anim_old.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/scissors_old.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/scissors_old.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/shadow.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/shadow.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/splash_controls.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/splash_controls.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/splash_controls.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/splash_controls2.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/splash_controls3.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/splash_title.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/splash_title.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/splash_title.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/startbutton_anim.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/startbutton_anim.pxa/0.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/startbutton_anim.pxa/1.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/startbutton_anim.pxa/2.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/startbutton_anim.pxa/3.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/startbutton_anim.pxa/CelData.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/startbutton_anim.pxa/Settings.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/startbutton_anim.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/startbutton_anim_lg.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/thrower.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/thrower.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/thrower_anim.pxa/0.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.pxa/1.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.pxa/2.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.pxa/3.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.pxa/4.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.pxa/5.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.pxa/6.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/images/thrower_anim.pxa/CelData.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/thrower_anim.pxa/Settings.plist";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/images/tower.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "assets/images/tower.pxi";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "assets/music/music-goes-here.txt";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/music/rockpaperscissors.wav";
		path.set (id, id);
		
		type.set (id, AssetType.SOUND);
		id = "assets/sounds/sounds-go-here.txt";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "assets/sounds/beep.mp3";
		path.set (id, id);
		
		type.set (id, AssetType.MUSIC);
		id = "assets/sounds/flixel.mp3";
		path.set (id, id);
		
		type.set (id, AssetType.MUSIC);
		
		
		var assetsPrefix = ApplicationMain.config.assetsPrefix;
		if (assetsPrefix != null) {
			for (k in path.keys()) {
				path.set(k, assetsPrefix + path[k]);
			}
		}
		
		#else
		
		#if openfl
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		#end
		
		#if (windows || mac || linux)
		
		var useManifest = false;
		
		className.set ("assets/data/data-goes-here.txt", __ASSET__assets_data_data_goes_here_txt);
		type.set ("assets/data/data-goes-here.txt", AssetType.TEXT);
		
		className.set ("assets/images/bg_warehouse.png", __ASSET__assets_images_bg_warehouse_png);
		type.set ("assets/images/bg_warehouse.png", AssetType.IMAGE);
		
		className.set ("assets/images/bg_warehouse.pxi", __ASSET__assets_images_bg_warehouse_pxi);
		type.set ("assets/images/bg_warehouse.pxi", AssetType.BINARY);
		
		className.set ("assets/images/cursor.png", __ASSET__assets_images_cursor_png);
		type.set ("assets/images/cursor.png", AssetType.IMAGE);
		
		className.set ("assets/images/cursor.pxi", __ASSET__assets_images_cursor_pxi);
		type.set ("assets/images/cursor.pxi", AssetType.BINARY);
		
		className.set ("assets/images/images-go-here.txt", __ASSET__assets_images_images_go_here_txt);
		type.set ("assets/images/images-go-here.txt", AssetType.TEXT);
		
		className.set ("assets/images/interface.pxi", __ASSET__assets_images_interface_pxi);
		type.set ("assets/images/interface.pxi", AssetType.BINARY);
		
		className.set ("assets/images/interface_draft.png", __ASSET__assets_images_interface_draft_png);
		type.set ("assets/images/interface_draft.png", AssetType.IMAGE);
		
		className.set ("assets/images/interface_draft.psd", __ASSET__assets_images_interface_draft_psd);
		type.set ("assets/images/interface_draft.psd", AssetType.BINARY);
		
		className.set ("assets/images/interface_draft.pxi", __ASSET__assets_images_interface_draft_pxi);
		type.set ("assets/images/interface_draft.pxi", AssetType.BINARY);
		
		className.set ("assets/images/interface_draft_old.png", __ASSET__assets_images_interface_draft_old_png);
		type.set ("assets/images/interface_draft_old.png", AssetType.IMAGE);
		
		className.set ("assets/images/interface_paper_orange.png", __ASSET__assets_images_interface_paper_orange_png);
		type.set ("assets/images/interface_paper_orange.png", AssetType.IMAGE);
		
		className.set ("assets/images/interface_rock_orange.png", __ASSET__assets_images_interface_rock_orange_png);
		type.set ("assets/images/interface_rock_orange.png", AssetType.IMAGE);
		
		className.set ("assets/images/interface_scissors_orange.png", __ASSET__assets_images_interface_scissors_orange_png);
		type.set ("assets/images/interface_scissors_orange.png", AssetType.IMAGE);
		
		className.set ("assets/images/losescreen.pxi", __ASSET__assets_images_losescreen_pxi);
		type.set ("assets/images/losescreen.pxi", AssetType.BINARY);
		
		className.set ("assets/images/losescreen2.pxi", __ASSET__assets_images_losescreen2_pxi);
		type.set ("assets/images/losescreen2.pxi", AssetType.BINARY);
		
		className.set ("assets/images/losescreen3.pxi", __ASSET__assets_images_losescreen3_pxi);
		type.set ("assets/images/losescreen3.pxi", AssetType.BINARY);
		
		className.set ("assets/images/losescreen_typecard.png", __ASSET__assets_images_losescreen_typecard_png);
		type.set ("assets/images/losescreen_typecard.png", AssetType.IMAGE);
		
		className.set ("assets/images/losescreen_typecard.pxi", __ASSET__assets_images_losescreen_typecard_pxi);
		type.set ("assets/images/losescreen_typecard.pxi", AssetType.BINARY);
		
		className.set ("assets/images/mouse.pxi", __ASSET__assets_images_mouse_pxi);
		type.set ("assets/images/mouse.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper.png", __ASSET__assets_images_paper_png);
		type.set ("assets/images/paper.png", AssetType.IMAGE);
		
		className.set ("assets/images/paper.pxi", __ASSET__assets_images_paper_pxi);
		type.set ("assets/images/paper.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.png", __ASSET__assets_images_paper_anim_png);
		type.set ("assets/images/paper_anim.png", AssetType.IMAGE);
		
		className.set ("assets/images/paper_anim.pxa/0.pxi", __ASSET__assets_images_paper_anim_pxa_0_pxi);
		type.set ("assets/images/paper_anim.pxa/0.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.pxa/1.pxi", __ASSET__assets_images_paper_anim_pxa_1_pxi);
		type.set ("assets/images/paper_anim.pxa/1.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.pxa/2.pxi", __ASSET__assets_images_paper_anim_pxa_2_pxi);
		type.set ("assets/images/paper_anim.pxa/2.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.pxa/3.pxi", __ASSET__assets_images_paper_anim_pxa_3_pxi);
		type.set ("assets/images/paper_anim.pxa/3.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.pxa/4.pxi", __ASSET__assets_images_paper_anim_pxa_4_pxi);
		type.set ("assets/images/paper_anim.pxa/4.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.pxa/5.pxi", __ASSET__assets_images_paper_anim_pxa_5_pxi);
		type.set ("assets/images/paper_anim.pxa/5.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.pxa/6.pxi", __ASSET__assets_images_paper_anim_pxa_6_pxi);
		type.set ("assets/images/paper_anim.pxa/6.pxi", AssetType.BINARY);
		
		className.set ("assets/images/paper_anim.pxa/CelData.plist", __ASSET__assets_images_paper_anim_pxa_celdata_plist);
		type.set ("assets/images/paper_anim.pxa/CelData.plist", AssetType.TEXT);
		
		className.set ("assets/images/paper_anim.pxa/Settings.plist", __ASSET__assets_images_paper_anim_pxa_settings_plist);
		type.set ("assets/images/paper_anim.pxa/Settings.plist", AssetType.TEXT);
		
		className.set ("assets/images/paper_anim_old.png", __ASSET__assets_images_paper_anim_old_png);
		type.set ("assets/images/paper_anim_old.png", AssetType.IMAGE);
		
		className.set ("assets/images/paper_anim_old2.png", __ASSET__assets_images_paper_anim_old2_png);
		type.set ("assets/images/paper_anim_old2.png", AssetType.IMAGE);
		
		className.set ("assets/images/playerpaper.png", __ASSET__assets_images_playerpaper_png);
		type.set ("assets/images/playerpaper.png", AssetType.IMAGE);
		
		className.set ("assets/images/playerpaper.pxi", __ASSET__assets_images_playerpaper_pxi);
		type.set ("assets/images/playerpaper.pxi", AssetType.BINARY);
		
		className.set ("assets/images/playerrock.png", __ASSET__assets_images_playerrock_png);
		type.set ("assets/images/playerrock.png", AssetType.IMAGE);
		
		className.set ("assets/images/playerrock.pxi", __ASSET__assets_images_playerrock_pxi);
		type.set ("assets/images/playerrock.pxi", AssetType.BINARY);
		
		className.set ("assets/images/playerscissors.png", __ASSET__assets_images_playerscissors_png);
		type.set ("assets/images/playerscissors.png", AssetType.IMAGE);
		
		className.set ("assets/images/playerscissors.pxi", __ASSET__assets_images_playerscissors_pxi);
		type.set ("assets/images/playerscissors.pxi", AssetType.BINARY);
		
		className.set ("assets/images/replaybutton_anim.png", __ASSET__assets_images_replaybutton_anim_png);
		type.set ("assets/images/replaybutton_anim.png", AssetType.IMAGE);
		
		className.set ("assets/images/rock copy.png", __ASSET__assets_images_rock_copy_png);
		type.set ("assets/images/rock copy.png", AssetType.IMAGE);
		
		className.set ("assets/images/rock.png", __ASSET__assets_images_rock_png);
		type.set ("assets/images/rock.png", AssetType.IMAGE);
		
		className.set ("assets/images/rock.pxi", __ASSET__assets_images_rock_pxi);
		type.set ("assets/images/rock.pxi", AssetType.BINARY);
		
		className.set ("assets/images/rock_anim.png", __ASSET__assets_images_rock_anim_png);
		type.set ("assets/images/rock_anim.png", AssetType.IMAGE);
		
		className.set ("assets/images/scissors.pxi", __ASSET__assets_images_scissors_pxi);
		type.set ("assets/images/scissors.pxi", AssetType.BINARY);
		
		className.set ("assets/images/scissors_anim.png", __ASSET__assets_images_scissors_anim_png);
		type.set ("assets/images/scissors_anim.png", AssetType.IMAGE);
		
		className.set ("assets/images/scissors_anim.pxa/0.pxi", __ASSET__assets_images_scissors_anim_pxa_0_pxi);
		type.set ("assets/images/scissors_anim.pxa/0.pxi", AssetType.BINARY);
		
		className.set ("assets/images/scissors_anim.pxa/1.pxi", __ASSET__assets_images_scissors_anim_pxa_1_pxi);
		type.set ("assets/images/scissors_anim.pxa/1.pxi", AssetType.BINARY);
		
		className.set ("assets/images/scissors_anim.pxa/2.pxi", __ASSET__assets_images_scissors_anim_pxa_2_pxi);
		type.set ("assets/images/scissors_anim.pxa/2.pxi", AssetType.BINARY);
		
		className.set ("assets/images/scissors_anim.pxa/3.pxi", __ASSET__assets_images_scissors_anim_pxa_3_pxi);
		type.set ("assets/images/scissors_anim.pxa/3.pxi", AssetType.BINARY);
		
		className.set ("assets/images/scissors_anim.pxa/CelData.plist", __ASSET__assets_images_scissors_anim_pxa_celdata_plist);
		type.set ("assets/images/scissors_anim.pxa/CelData.plist", AssetType.TEXT);
		
		className.set ("assets/images/scissors_anim.pxa/Settings.plist", __ASSET__assets_images_scissors_anim_pxa_settings_plist);
		type.set ("assets/images/scissors_anim.pxa/Settings.plist", AssetType.TEXT);
		
		className.set ("assets/images/scissors_anim_old.png", __ASSET__assets_images_scissors_anim_old_png);
		type.set ("assets/images/scissors_anim_old.png", AssetType.IMAGE);
		
		className.set ("assets/images/scissors_old.png", __ASSET__assets_images_scissors_old_png);
		type.set ("assets/images/scissors_old.png", AssetType.IMAGE);
		
		className.set ("assets/images/scissors_old.pxi", __ASSET__assets_images_scissors_old_pxi);
		type.set ("assets/images/scissors_old.pxi", AssetType.BINARY);
		
		className.set ("assets/images/shadow.png", __ASSET__assets_images_shadow_png);
		type.set ("assets/images/shadow.png", AssetType.IMAGE);
		
		className.set ("assets/images/shadow.pxi", __ASSET__assets_images_shadow_pxi);
		type.set ("assets/images/shadow.pxi", AssetType.BINARY);
		
		className.set ("assets/images/splash_controls.png", __ASSET__assets_images_splash_controls_png);
		type.set ("assets/images/splash_controls.png", AssetType.IMAGE);
		
		className.set ("assets/images/splash_controls.psd", __ASSET__assets_images_splash_controls_psd);
		type.set ("assets/images/splash_controls.psd", AssetType.BINARY);
		
		className.set ("assets/images/splash_controls.pxi", __ASSET__assets_images_splash_controls_pxi);
		type.set ("assets/images/splash_controls.pxi", AssetType.BINARY);
		
		className.set ("assets/images/splash_controls2.psd", __ASSET__assets_images_splash_controls2_psd);
		type.set ("assets/images/splash_controls2.psd", AssetType.BINARY);
		
		className.set ("assets/images/splash_controls3.psd", __ASSET__assets_images_splash_controls3_psd);
		type.set ("assets/images/splash_controls3.psd", AssetType.BINARY);
		
		className.set ("assets/images/splash_title.png", __ASSET__assets_images_splash_title_png);
		type.set ("assets/images/splash_title.png", AssetType.IMAGE);
		
		className.set ("assets/images/splash_title.psd", __ASSET__assets_images_splash_title_psd);
		type.set ("assets/images/splash_title.psd", AssetType.BINARY);
		
		className.set ("assets/images/splash_title.pxi", __ASSET__assets_images_splash_title_pxi);
		type.set ("assets/images/splash_title.pxi", AssetType.BINARY);
		
		className.set ("assets/images/startbutton_anim.png", __ASSET__assets_images_startbutton_anim_png);
		type.set ("assets/images/startbutton_anim.png", AssetType.IMAGE);
		
		className.set ("assets/images/startbutton_anim.pxa/0.pxi", __ASSET__assets_images_startbutton_anim_pxa_0_pxi);
		type.set ("assets/images/startbutton_anim.pxa/0.pxi", AssetType.BINARY);
		
		className.set ("assets/images/startbutton_anim.pxa/1.pxi", __ASSET__assets_images_startbutton_anim_pxa_1_pxi);
		type.set ("assets/images/startbutton_anim.pxa/1.pxi", AssetType.BINARY);
		
		className.set ("assets/images/startbutton_anim.pxa/2.pxi", __ASSET__assets_images_startbutton_anim_pxa_2_pxi);
		type.set ("assets/images/startbutton_anim.pxa/2.pxi", AssetType.BINARY);
		
		className.set ("assets/images/startbutton_anim.pxa/3.pxi", __ASSET__assets_images_startbutton_anim_pxa_3_pxi);
		type.set ("assets/images/startbutton_anim.pxa/3.pxi", AssetType.BINARY);
		
		className.set ("assets/images/startbutton_anim.pxa/CelData.plist", __ASSET__assets_images_startbutton_anim_pxa_celdata_plist);
		type.set ("assets/images/startbutton_anim.pxa/CelData.plist", AssetType.TEXT);
		
		className.set ("assets/images/startbutton_anim.pxa/Settings.plist", __ASSET__assets_images_startbutton_anim_pxa_settings_plist);
		type.set ("assets/images/startbutton_anim.pxa/Settings.plist", AssetType.TEXT);
		
		className.set ("assets/images/startbutton_anim.pxi", __ASSET__assets_images_startbutton_anim_pxi);
		type.set ("assets/images/startbutton_anim.pxi", AssetType.BINARY);
		
		className.set ("assets/images/startbutton_anim_lg.png", __ASSET__assets_images_startbutton_anim_lg_png);
		type.set ("assets/images/startbutton_anim_lg.png", AssetType.IMAGE);
		
		className.set ("assets/images/thrower.png", __ASSET__assets_images_thrower_png);
		type.set ("assets/images/thrower.png", AssetType.IMAGE);
		
		className.set ("assets/images/thrower.pxi", __ASSET__assets_images_thrower_pxi);
		type.set ("assets/images/thrower.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.png", __ASSET__assets_images_thrower_anim_png);
		type.set ("assets/images/thrower_anim.png", AssetType.IMAGE);
		
		className.set ("assets/images/thrower_anim.pxa/0.pxi", __ASSET__assets_images_thrower_anim_pxa_0_pxi);
		type.set ("assets/images/thrower_anim.pxa/0.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.pxa/1.pxi", __ASSET__assets_images_thrower_anim_pxa_1_pxi);
		type.set ("assets/images/thrower_anim.pxa/1.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.pxa/2.pxi", __ASSET__assets_images_thrower_anim_pxa_2_pxi);
		type.set ("assets/images/thrower_anim.pxa/2.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.pxa/3.pxi", __ASSET__assets_images_thrower_anim_pxa_3_pxi);
		type.set ("assets/images/thrower_anim.pxa/3.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.pxa/4.pxi", __ASSET__assets_images_thrower_anim_pxa_4_pxi);
		type.set ("assets/images/thrower_anim.pxa/4.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.pxa/5.pxi", __ASSET__assets_images_thrower_anim_pxa_5_pxi);
		type.set ("assets/images/thrower_anim.pxa/5.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.pxa/6.pxi", __ASSET__assets_images_thrower_anim_pxa_6_pxi);
		type.set ("assets/images/thrower_anim.pxa/6.pxi", AssetType.BINARY);
		
		className.set ("assets/images/thrower_anim.pxa/CelData.plist", __ASSET__assets_images_thrower_anim_pxa_celdata_plist);
		type.set ("assets/images/thrower_anim.pxa/CelData.plist", AssetType.TEXT);
		
		className.set ("assets/images/thrower_anim.pxa/Settings.plist", __ASSET__assets_images_thrower_anim_pxa_settings_plist);
		type.set ("assets/images/thrower_anim.pxa/Settings.plist", AssetType.TEXT);
		
		className.set ("assets/images/tower.png", __ASSET__assets_images_tower_png);
		type.set ("assets/images/tower.png", AssetType.IMAGE);
		
		className.set ("assets/images/tower.pxi", __ASSET__assets_images_tower_pxi);
		type.set ("assets/images/tower.pxi", AssetType.BINARY);
		
		className.set ("assets/music/music-goes-here.txt", __ASSET__assets_music_music_goes_here_txt);
		type.set ("assets/music/music-goes-here.txt", AssetType.TEXT);
		
		className.set ("assets/music/rockpaperscissors.wav", __ASSET__assets_music_rockpaperscissors_wav);
		type.set ("assets/music/rockpaperscissors.wav", AssetType.SOUND);
		
		className.set ("assets/sounds/sounds-go-here.txt", __ASSET__assets_sounds_sounds_go_here_txt);
		type.set ("assets/sounds/sounds-go-here.txt", AssetType.TEXT);
		
		className.set ("assets/sounds/beep.mp3", __ASSET__assets_sounds_beep_mp3);
		type.set ("assets/sounds/beep.mp3", AssetType.MUSIC);
		
		className.set ("assets/sounds/flixel.mp3", __ASSET__assets_sounds_flixel_mp3);
		type.set ("assets/sounds/flixel.mp3", AssetType.MUSIC);
		
		
		if (useManifest) {
			
			loadManifest ();
			
			if (Sys.args ().indexOf ("-livereload") > -1) {
				
				var path = FileSystem.fullPath ("manifest");
				lastModified = FileSystem.stat (path).mtime.getTime ();
				
				timer = new Timer (2000);
				timer.run = function () {
					
					var modified = FileSystem.stat (path).mtime.getTime ();
					
					if (modified > lastModified) {
						
						lastModified = modified;
						loadManifest ();
						
						if (eventCallback != null) {
							
							eventCallback (this, "change");
							
						}
						
					}
					
				}
				
			}
			
		}
		
		#else
		
		loadManifest ();
		
		#end
		#end
		
	}
	
	
	public override function exists (id:String, type:String):Bool {
		
		var requestedType = type != null ? cast (type, AssetType) : null;
		var assetType = this.type.get (id);
		
		if (assetType != null) {
			
			if (assetType == requestedType || ((requestedType == SOUND || requestedType == MUSIC) && (assetType == MUSIC || assetType == SOUND))) {
				
				return true;
				
			}
			
			#if flash
			
			if (requestedType == BINARY && (assetType == BINARY || assetType == TEXT || assetType == IMAGE)) {
				
				return true;
				
			} else if (requestedType == null || path.exists (id)) {
				
				return true;
				
			}
			
			#else
			
			if (requestedType == BINARY || requestedType == null || (assetType == BINARY && requestedType == TEXT)) {
				
				return true;
				
			}
			
			#end
			
		}
		
		return false;
		
	}
	
	
	public override function getAudioBuffer (id:String):AudioBuffer {
		
		#if flash
		
		var buffer = new AudioBuffer ();
		buffer.src = cast (Type.createInstance (className.get (id), []), Sound);
		return buffer;
		
		#elseif html5
		
		return null;
		//return new Sound (new URLRequest (path.get (id)));
		
		#else
		
		if (className.exists(id)) return AudioBuffer.fromBytes (cast (Type.createInstance (className.get (id), []), ByteArray));
		else return AudioBuffer.fromFile (path.get (id));
		
		#end
		
	}
	
	
	public override function getBytes (id:String):ByteArray {
		
		#if flash
		
		switch (type.get (id)) {
			
			case TEXT, BINARY:
				
				return cast (Type.createInstance (className.get (id), []), ByteArray);
			
			case IMAGE:
				
				var bitmapData = cast (Type.createInstance (className.get (id), []), BitmapData);
				return bitmapData.getPixels (bitmapData.rect);
			
			default:
				
				return null;
			
		}
		
		return cast (Type.createInstance (className.get (id), []), ByteArray);
		
		#elseif html5
		
		var bytes:ByteArray = null;
		var data = Preloader.loaders.get (path.get (id)).data;
		
		if (Std.is (data, String)) {
			
			bytes = new ByteArray ();
			bytes.writeUTFBytes (data);
			
		} else if (Std.is (data, ByteArray)) {
			
			bytes = cast data;
			
		} else {
			
			bytes = null;
			
		}
		
		if (bytes != null) {
			
			bytes.position = 0;
			return bytes;
			
		} else {
			
			return null;
		}
		
		#else
		
		if (className.exists(id)) return cast (Type.createInstance (className.get (id), []), ByteArray);
		else return ByteArray.readFile (path.get (id));
		
		#end
		
	}
	
	
	public override function getFont (id:String):Font {
		
		#if flash
		
		var src = Type.createInstance (className.get (id), []);
		
		var font = new Font (src.fontName);
		font.src = src;
		return font;
		
		#elseif html5
		
		return cast (Type.createInstance (className.get (id), []), Font);
		
		#else
		
		if (className.exists (id)) {
			
			var fontClass = className.get (id);
			return cast (Type.createInstance (fontClass, []), Font);
			
		} else {
			
			return Font.fromFile (path.get (id));
			
		}
		
		#end
		
	}
	
	
	public override function getImage (id:String):Image {
		
		#if flash
		
		return Image.fromBitmapData (cast (Type.createInstance (className.get (id), []), BitmapData));
		
		#elseif html5
		
		return Image.fromImageElement (Preloader.images.get (path.get (id)));
		
		#else
		
		if (className.exists (id)) {
			
			var fontClass = className.get (id);
			return cast (Type.createInstance (fontClass, []), Image);
			
		} else {
			
			return Image.fromFile (path.get (id));
			
		}
		
		#end
		
	}
	
	
	/*public override function getMusic (id:String):Dynamic {
		
		#if flash
		
		return cast (Type.createInstance (className.get (id), []), Sound);
		
		#elseif openfl_html5
		
		//var sound = new Sound ();
		//sound.__buffer = true;
		//sound.load (new URLRequest (path.get (id)));
		//return sound;
		return null;
		
		#elseif html5
		
		return null;
		//return new Sound (new URLRequest (path.get (id)));
		
		#else
		
		return null;
		//if (className.exists(id)) return cast (Type.createInstance (className.get (id), []), Sound);
		//else return new Sound (new URLRequest (path.get (id)), null, true);
		
		#end
		
	}*/
	
	
	public override function getPath (id:String):String {
		
		//#if ios
		
		//return SystemPath.applicationDirectory + "/assets/" + path.get (id);
		
		//#else
		
		return path.get (id);
		
		//#end
		
	}
	
	
	public override function getText (id:String):String {
		
		#if html5
		
		var bytes:ByteArray = null;
		var data = Preloader.loaders.get (path.get (id)).data;
		
		if (Std.is (data, String)) {
			
			return cast data;
			
		} else if (Std.is (data, ByteArray)) {
			
			bytes = cast data;
			
		} else {
			
			bytes = null;
			
		}
		
		if (bytes != null) {
			
			bytes.position = 0;
			return bytes.readUTFBytes (bytes.length);
			
		} else {
			
			return null;
		}
		
		#else
		
		var bytes = getBytes (id);
		
		if (bytes == null) {
			
			return null;
			
		} else {
			
			return bytes.readUTFBytes (bytes.length);
			
		}
		
		#end
		
	}
	
	
	public override function isLocal (id:String, type:String):Bool {
		
		var requestedType = type != null ? cast (type, AssetType) : null;
		
		#if flash
		
		//if (requestedType != AssetType.MUSIC && requestedType != AssetType.SOUND) {
			
			return className.exists (id);
			
		//}
		
		#end
		
		return true;
		
	}
	
	
	public override function list (type:String):Array<String> {
		
		var requestedType = type != null ? cast (type, AssetType) : null;
		var items = [];
		
		for (id in this.type.keys ()) {
			
			if (requestedType == null || exists (id, type)) {
				
				items.push (id);
				
			}
			
		}
		
		return items;
		
	}
	
	
	public override function loadAudioBuffer (id:String, handler:AudioBuffer -> Void):Void {
		
		#if (flash)
		if (path.exists (id)) {
			
			var soundLoader = new Sound ();
			soundLoader.addEventListener (Event.COMPLETE, function (event) {
				
				var audioBuffer:AudioBuffer = new AudioBuffer();
				audioBuffer.src = event.currentTarget;
				handler (audioBuffer);
				
			});
			soundLoader.load (new URLRequest (path.get (id)));
			
		} else {
			handler (getAudioBuffer (id));
			
		}
		#else
		handler (getAudioBuffer (id));
		
		#end
		
	}
	
	
	public override function loadBytes (id:String, handler:ByteArray -> Void):Void {
		
		#if flash
		
		if (path.exists (id)) {
			
			var loader = new URLLoader ();
			loader.addEventListener (Event.COMPLETE, function (event:Event) {
				
				var bytes = new ByteArray ();
				bytes.writeUTFBytes (event.currentTarget.data);
				bytes.position = 0;
				
				handler (bytes);
				
			});
			loader.load (new URLRequest (path.get (id)));
			
		} else {
			
			handler (getBytes (id));
			
		}
		
		#else
		
		handler (getBytes (id));
		
		#end
		
	}
	
	
	public override function loadImage (id:String, handler:Image -> Void):Void {
		
		#if flash
		
		if (path.exists (id)) {
			
			var loader = new Loader ();
			loader.contentLoaderInfo.addEventListener (Event.COMPLETE, function (event:Event) {
				
				var bitmapData = cast (event.currentTarget.content, Bitmap).bitmapData;
				handler (Image.fromBitmapData (bitmapData));
				
			});
			loader.load (new URLRequest (path.get (id)));
			
		} else {
			
			handler (getImage (id));
			
		}
		
		#else
		
		handler (getImage (id));
		
		#end
		
	}
	
	
	#if (!flash && !html5)
	private function loadManifest ():Void {
		
		try {
			
			#if blackberry
			var bytes = ByteArray.readFile ("app/native/manifest");
			#elseif tizen
			var bytes = ByteArray.readFile ("../res/manifest");
			#elseif emscripten
			var bytes = ByteArray.readFile ("assets/manifest");
			#elseif (mac && java)
			var bytes = ByteArray.readFile ("../Resources/manifest");
			#elseif ios
			var bytes = ByteArray.readFile ("assets/manifest");
			#else
			var bytes = ByteArray.readFile ("manifest");
			#end
			
			if (bytes != null) {
				
				bytes.position = 0;
				
				if (bytes.length > 0) {
					
					var data = bytes.readUTFBytes (bytes.length);
					
					if (data != null && data.length > 0) {
						
						var manifest:Array<Dynamic> = Unserializer.run (data);
						
						for (asset in manifest) {
							
							if (!className.exists (asset.id)) {
								
								#if ios
								path.set (asset.id, "assets/" + asset.path);
								#else
								path.set (asset.id, asset.path);
								#end
								type.set (asset.id, cast (asset.type, AssetType));
								
							}
							
						}
						
					}
					
				}
				
			} else {
				
				trace ("Warning: Could not load asset manifest (bytes was null)");
				
			}
		
		} catch (e:Dynamic) {
			
			trace ('Warning: Could not load asset manifest (${e})');
			
		}
		
	}
	#end
	
	
	/*public override function loadMusic (id:String, handler:Dynamic -> Void):Void {
		
		#if (flash || html5)
		
		//if (path.exists (id)) {
			
		//	var loader = new Loader ();
		//	loader.contentLoaderInfo.addEventListener (Event.COMPLETE, function (event) {
				
		//		handler (cast (event.currentTarget.content, Bitmap).bitmapData);
				
		//	});
		//	loader.load (new URLRequest (path.get (id)));
			
		//} else {
			
			handler (getMusic (id));
			
		//}
		
		#else
		
		handler (getMusic (id));
		
		#end
		
	}*/
	
	
	public override function loadText (id:String, handler:String -> Void):Void {
		
		//#if html5
		
		/*if (path.exists (id)) {
			
			var loader = new URLLoader ();
			loader.addEventListener (Event.COMPLETE, function (event:Event) {
				
				handler (event.currentTarget.data);
				
			});
			loader.load (new URLRequest (path.get (id)));
			
		} else {
			
			handler (getText (id));
			
		}*/
		
		//#else
		
		var callback = function (bytes:ByteArray):Void {
			
			if (bytes == null) {
				
				handler (null);
				
			} else {
				
				handler (bytes.readUTFBytes (bytes.length));
				
			}
			
		}
		
		loadBytes (id, callback);
		
		//#end
		
	}
	
	
}


#if !display
#if flash

@:keep @:bind #if display private #end class __ASSET__assets_data_data_goes_here_txt extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_bg_warehouse_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_bg_warehouse_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_cursor_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_cursor_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_images_go_here_txt extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_draft_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_draft_psd extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_draft_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_draft_old_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_paper_orange_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_rock_orange_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_interface_scissors_orange_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_losescreen_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_losescreen2_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_losescreen3_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_losescreen_typecard_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_losescreen_typecard_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_mouse_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_0_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_1_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_2_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_3_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_4_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_5_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_6_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_celdata_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_pxa_settings_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_old_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_paper_anim_old2_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_playerpaper_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_playerpaper_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_playerrock_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_playerrock_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_playerscissors_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_playerscissors_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_replaybutton_anim_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_rock_copy_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_rock_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_rock_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_rock_anim_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_pxa_0_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_pxa_1_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_pxa_2_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_pxa_3_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_pxa_celdata_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_pxa_settings_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_anim_old_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_old_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_scissors_old_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_shadow_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_shadow_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_controls_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_controls_psd extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_controls_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_controls2_psd extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_controls3_psd extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_title_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_title_psd extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_splash_title_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_0_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_1_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_2_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_3_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_celdata_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_settings_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_startbutton_anim_lg_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_0_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_1_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_2_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_3_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_4_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_5_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_6_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_celdata_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_thrower_anim_pxa_settings_plist extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_images_tower_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__assets_images_tower_pxi extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_music_music_goes_here_txt extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_music_rockpaperscissors_wav extends flash.media.Sound { }
@:keep @:bind #if display private #end class __ASSET__assets_sounds_sounds_go_here_txt extends flash.utils.ByteArray { }
@:keep @:bind #if display private #end class __ASSET__assets_sounds_beep_mp3 extends flash.media.Sound { }
@:keep @:bind #if display private #end class __ASSET__assets_sounds_flixel_mp3 extends flash.media.Sound { }


#elseif html5

































































































#else



#if (windows || mac || linux)


@:file("assets/data/data-goes-here.txt") #if display private #end class __ASSET__assets_data_data_goes_here_txt extends lime.utils.ByteArray {}
@:image("assets/images/bg_warehouse.png") #if display private #end class __ASSET__assets_images_bg_warehouse_png extends lime.graphics.Image {}
@:file("assets/images/bg_warehouse.pxi") #if display private #end class __ASSET__assets_images_bg_warehouse_pxi extends lime.utils.ByteArray {}
@:image("assets/images/cursor.png") #if display private #end class __ASSET__assets_images_cursor_png extends lime.graphics.Image {}
@:file("assets/images/cursor.pxi") #if display private #end class __ASSET__assets_images_cursor_pxi extends lime.utils.ByteArray {}
@:file("assets/images/images-go-here.txt") #if display private #end class __ASSET__assets_images_images_go_here_txt extends lime.utils.ByteArray {}
@:file("assets/images/interface.pxi") #if display private #end class __ASSET__assets_images_interface_pxi extends lime.utils.ByteArray {}
@:image("assets/images/interface_draft.png") #if display private #end class __ASSET__assets_images_interface_draft_png extends lime.graphics.Image {}
@:file("assets/images/interface_draft.psd") #if display private #end class __ASSET__assets_images_interface_draft_psd extends lime.utils.ByteArray {}
@:file("assets/images/interface_draft.pxi") #if display private #end class __ASSET__assets_images_interface_draft_pxi extends lime.utils.ByteArray {}
@:image("assets/images/interface_draft_old.png") #if display private #end class __ASSET__assets_images_interface_draft_old_png extends lime.graphics.Image {}
@:image("assets/images/interface_paper_orange.png") #if display private #end class __ASSET__assets_images_interface_paper_orange_png extends lime.graphics.Image {}
@:image("assets/images/interface_rock_orange.png") #if display private #end class __ASSET__assets_images_interface_rock_orange_png extends lime.graphics.Image {}
@:image("assets/images/interface_scissors_orange.png") #if display private #end class __ASSET__assets_images_interface_scissors_orange_png extends lime.graphics.Image {}
@:file("assets/images/losescreen.pxi") #if display private #end class __ASSET__assets_images_losescreen_pxi extends lime.utils.ByteArray {}
@:file("assets/images/losescreen2.pxi") #if display private #end class __ASSET__assets_images_losescreen2_pxi extends lime.utils.ByteArray {}
@:file("assets/images/losescreen3.pxi") #if display private #end class __ASSET__assets_images_losescreen3_pxi extends lime.utils.ByteArray {}
@:image("assets/images/losescreen_typecard.png") #if display private #end class __ASSET__assets_images_losescreen_typecard_png extends lime.graphics.Image {}
@:file("assets/images/losescreen_typecard.pxi") #if display private #end class __ASSET__assets_images_losescreen_typecard_pxi extends lime.utils.ByteArray {}
@:file("assets/images/mouse.pxi") #if display private #end class __ASSET__assets_images_mouse_pxi extends lime.utils.ByteArray {}
@:image("assets/images/paper.png") #if display private #end class __ASSET__assets_images_paper_png extends lime.graphics.Image {}
@:file("assets/images/paper.pxi") #if display private #end class __ASSET__assets_images_paper_pxi extends lime.utils.ByteArray {}
@:image("assets/images/paper_anim.png") #if display private #end class __ASSET__assets_images_paper_anim_png extends lime.graphics.Image {}
@:file("assets/images/paper_anim.pxa/0.pxi") #if display private #end class __ASSET__assets_images_paper_anim_pxa_0_pxi extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/1.pxi") #if display private #end class __ASSET__assets_images_paper_anim_pxa_1_pxi extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/2.pxi") #if display private #end class __ASSET__assets_images_paper_anim_pxa_2_pxi extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/3.pxi") #if display private #end class __ASSET__assets_images_paper_anim_pxa_3_pxi extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/4.pxi") #if display private #end class __ASSET__assets_images_paper_anim_pxa_4_pxi extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/5.pxi") #if display private #end class __ASSET__assets_images_paper_anim_pxa_5_pxi extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/6.pxi") #if display private #end class __ASSET__assets_images_paper_anim_pxa_6_pxi extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/CelData.plist") #if display private #end class __ASSET__assets_images_paper_anim_pxa_celdata_plist extends lime.utils.ByteArray {}
@:file("assets/images/paper_anim.pxa/Settings.plist") #if display private #end class __ASSET__assets_images_paper_anim_pxa_settings_plist extends lime.utils.ByteArray {}
@:image("assets/images/paper_anim_old.png") #if display private #end class __ASSET__assets_images_paper_anim_old_png extends lime.graphics.Image {}
@:image("assets/images/paper_anim_old2.png") #if display private #end class __ASSET__assets_images_paper_anim_old2_png extends lime.graphics.Image {}
@:image("assets/images/playerpaper.png") #if display private #end class __ASSET__assets_images_playerpaper_png extends lime.graphics.Image {}
@:file("assets/images/playerpaper.pxi") #if display private #end class __ASSET__assets_images_playerpaper_pxi extends lime.utils.ByteArray {}
@:image("assets/images/playerrock.png") #if display private #end class __ASSET__assets_images_playerrock_png extends lime.graphics.Image {}
@:file("assets/images/playerrock.pxi") #if display private #end class __ASSET__assets_images_playerrock_pxi extends lime.utils.ByteArray {}
@:image("assets/images/playerscissors.png") #if display private #end class __ASSET__assets_images_playerscissors_png extends lime.graphics.Image {}
@:file("assets/images/playerscissors.pxi") #if display private #end class __ASSET__assets_images_playerscissors_pxi extends lime.utils.ByteArray {}
@:image("assets/images/replaybutton_anim.png") #if display private #end class __ASSET__assets_images_replaybutton_anim_png extends lime.graphics.Image {}
@:image("assets/images/rock copy.png") #if display private #end class __ASSET__assets_images_rock_copy_png extends lime.graphics.Image {}
@:image("assets/images/rock.png") #if display private #end class __ASSET__assets_images_rock_png extends lime.graphics.Image {}
@:file("assets/images/rock.pxi") #if display private #end class __ASSET__assets_images_rock_pxi extends lime.utils.ByteArray {}
@:image("assets/images/rock_anim.png") #if display private #end class __ASSET__assets_images_rock_anim_png extends lime.graphics.Image {}
@:file("assets/images/scissors.pxi") #if display private #end class __ASSET__assets_images_scissors_pxi extends lime.utils.ByteArray {}
@:image("assets/images/scissors_anim.png") #if display private #end class __ASSET__assets_images_scissors_anim_png extends lime.graphics.Image {}
@:file("assets/images/scissors_anim.pxa/0.pxi") #if display private #end class __ASSET__assets_images_scissors_anim_pxa_0_pxi extends lime.utils.ByteArray {}
@:file("assets/images/scissors_anim.pxa/1.pxi") #if display private #end class __ASSET__assets_images_scissors_anim_pxa_1_pxi extends lime.utils.ByteArray {}
@:file("assets/images/scissors_anim.pxa/2.pxi") #if display private #end class __ASSET__assets_images_scissors_anim_pxa_2_pxi extends lime.utils.ByteArray {}
@:file("assets/images/scissors_anim.pxa/3.pxi") #if display private #end class __ASSET__assets_images_scissors_anim_pxa_3_pxi extends lime.utils.ByteArray {}
@:file("assets/images/scissors_anim.pxa/CelData.plist") #if display private #end class __ASSET__assets_images_scissors_anim_pxa_celdata_plist extends lime.utils.ByteArray {}
@:file("assets/images/scissors_anim.pxa/Settings.plist") #if display private #end class __ASSET__assets_images_scissors_anim_pxa_settings_plist extends lime.utils.ByteArray {}
@:image("assets/images/scissors_anim_old.png") #if display private #end class __ASSET__assets_images_scissors_anim_old_png extends lime.graphics.Image {}
@:image("assets/images/scissors_old.png") #if display private #end class __ASSET__assets_images_scissors_old_png extends lime.graphics.Image {}
@:file("assets/images/scissors_old.pxi") #if display private #end class __ASSET__assets_images_scissors_old_pxi extends lime.utils.ByteArray {}
@:image("assets/images/shadow.png") #if display private #end class __ASSET__assets_images_shadow_png extends lime.graphics.Image {}
@:file("assets/images/shadow.pxi") #if display private #end class __ASSET__assets_images_shadow_pxi extends lime.utils.ByteArray {}
@:image("assets/images/splash_controls.png") #if display private #end class __ASSET__assets_images_splash_controls_png extends lime.graphics.Image {}
@:file("assets/images/splash_controls.psd") #if display private #end class __ASSET__assets_images_splash_controls_psd extends lime.utils.ByteArray {}
@:file("assets/images/splash_controls.pxi") #if display private #end class __ASSET__assets_images_splash_controls_pxi extends lime.utils.ByteArray {}
@:file("assets/images/splash_controls2.psd") #if display private #end class __ASSET__assets_images_splash_controls2_psd extends lime.utils.ByteArray {}
@:file("assets/images/splash_controls3.psd") #if display private #end class __ASSET__assets_images_splash_controls3_psd extends lime.utils.ByteArray {}
@:image("assets/images/splash_title.png") #if display private #end class __ASSET__assets_images_splash_title_png extends lime.graphics.Image {}
@:file("assets/images/splash_title.psd") #if display private #end class __ASSET__assets_images_splash_title_psd extends lime.utils.ByteArray {}
@:file("assets/images/splash_title.pxi") #if display private #end class __ASSET__assets_images_splash_title_pxi extends lime.utils.ByteArray {}
@:image("assets/images/startbutton_anim.png") #if display private #end class __ASSET__assets_images_startbutton_anim_png extends lime.graphics.Image {}
@:file("assets/images/startbutton_anim.pxa/0.pxi") #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_0_pxi extends lime.utils.ByteArray {}
@:file("assets/images/startbutton_anim.pxa/1.pxi") #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_1_pxi extends lime.utils.ByteArray {}
@:file("assets/images/startbutton_anim.pxa/2.pxi") #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_2_pxi extends lime.utils.ByteArray {}
@:file("assets/images/startbutton_anim.pxa/3.pxi") #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_3_pxi extends lime.utils.ByteArray {}
@:file("assets/images/startbutton_anim.pxa/CelData.plist") #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_celdata_plist extends lime.utils.ByteArray {}
@:file("assets/images/startbutton_anim.pxa/Settings.plist") #if display private #end class __ASSET__assets_images_startbutton_anim_pxa_settings_plist extends lime.utils.ByteArray {}
@:file("assets/images/startbutton_anim.pxi") #if display private #end class __ASSET__assets_images_startbutton_anim_pxi extends lime.utils.ByteArray {}
@:image("assets/images/startbutton_anim_lg.png") #if display private #end class __ASSET__assets_images_startbutton_anim_lg_png extends lime.graphics.Image {}
@:image("assets/images/thrower.png") #if display private #end class __ASSET__assets_images_thrower_png extends lime.graphics.Image {}
@:file("assets/images/thrower.pxi") #if display private #end class __ASSET__assets_images_thrower_pxi extends lime.utils.ByteArray {}
@:image("assets/images/thrower_anim.png") #if display private #end class __ASSET__assets_images_thrower_anim_png extends lime.graphics.Image {}
@:file("assets/images/thrower_anim.pxa/0.pxi") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_0_pxi extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/1.pxi") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_1_pxi extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/2.pxi") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_2_pxi extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/3.pxi") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_3_pxi extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/4.pxi") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_4_pxi extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/5.pxi") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_5_pxi extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/6.pxi") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_6_pxi extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/CelData.plist") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_celdata_plist extends lime.utils.ByteArray {}
@:file("assets/images/thrower_anim.pxa/Settings.plist") #if display private #end class __ASSET__assets_images_thrower_anim_pxa_settings_plist extends lime.utils.ByteArray {}
@:image("assets/images/tower.png") #if display private #end class __ASSET__assets_images_tower_png extends lime.graphics.Image {}
@:file("assets/images/tower.pxi") #if display private #end class __ASSET__assets_images_tower_pxi extends lime.utils.ByteArray {}
@:file("assets/music/music-goes-here.txt") #if display private #end class __ASSET__assets_music_music_goes_here_txt extends lime.utils.ByteArray {}
@:file("assets/music/rockpaperscissors.wav") #if display private #end class __ASSET__assets_music_rockpaperscissors_wav extends lime.utils.ByteArray {}
@:file("assets/sounds/sounds-go-here.txt") #if display private #end class __ASSET__assets_sounds_sounds_go_here_txt extends lime.utils.ByteArray {}
@:file("/Users/ruthie/Downloads/src/flash/flixel/3,3,8/assets/sounds/beep.mp3") #if display private #end class __ASSET__assets_sounds_beep_mp3 extends lime.utils.ByteArray {}
@:file("/Users/ruthie/Downloads/src/flash/flixel/3,3,8/assets/sounds/flixel.mp3") #if display private #end class __ASSET__assets_sounds_flixel_mp3 extends lime.utils.ByteArray {}



#end

#if openfl

#end

#end
#end

