package;

import flixel.FlxG;
import flixel.FlxSprite;
import flixel.FlxState;
import flixel.text.FlxText;
import flixel.ui.FlxButton;
import flixel.util.FlxMath;
import flixel.group.FlxGroup;
import flixel.util.FlxRandom;





/**
 * A FlxState which can be used for the actual gameplay.
 */
class PlayState extends FlxState
{


	public var _thrower:Thrower;
	public var _tower:Tower;
	private var _spawnTimer:Float;
	private var _spawnInterval:Float = 3.5;
	private var _aliens1:FlxGroup;
	private var _aliens2:FlxGroup;
	private var _aliens3:FlxGroup;
	public var playerRocks:FlxGroup;
	public var playerPapers:FlxGroup;
	public var playerScissors:FlxGroup;
//	public var _interface:FlxSprite;
	public var _orangeRock:OrangeRock;
	public var _orangePaper:OrangePaper;
	public var _orangeScissors:OrangeScissors;

	private var _bulletTypeText: FlxText;
	private var _bulletNumberText: FlxText;
	private var _scoreText: FlxText;
	private var _healthText: FlxText;
	private var _health:Int = 100;
	private var _spawnType:Int = 1;



	override public function create():Void
	{



		var bg:FlxSprite = new FlxSprite(0,0);
		bg.loadGraphic("assets/images/bg_warehouse.png", true, 640, 360);
		add(bg);

		var numPlayerRocks:Int = 30;
		// Initializing the array is very important and easy to forget!
		playerRocks = new FlxGroup(numPlayerRocks);
		var sprite:FlxSprite;
		
		// Create 8 bullets for the player to recycle
		for (i in 0...numPlayerRocks)	
			{
				// Instantiate a new sprite offscreen
				sprite = new FlxSprite( -100, -100);	
				// Create a 2x8 white box
				sprite.loadGraphic("assets/images/playerrock.png", false, 32, 32);		
				sprite.exists = false;
				// Add it to the group of player bullets
				playerRocks.add(sprite);	
			}



		var numPlayerPapers:Int = 30;
		// Initializing the array is very important and easy to forget!
		playerPapers = new FlxGroup(numPlayerPapers);
		var sprite:FlxSprite;
		
		// Create 8 bullets for the player to recycle
		for (i in 0...numPlayerPapers)	
			{
				// Instantiate a new sprite offscreen
				sprite = new FlxSprite( -100, -100);	
				// Create a 2x8 white box
				sprite.loadGraphic("assets/images/playerpaper.png", false, 32, 32);		
				sprite.exists = false;
				// Add it to the group of player bullets
				playerPapers.add(sprite);	
			}



		var numPlayerScissors:Int = 30;
		// Initializing the array is very important and easy to forget!
		playerScissors = new FlxGroup(numPlayerScissors);
		var sprite:FlxSprite;

		
		// Create 8 bullets for the player to recycle
		for (i in 0...numPlayerScissors)	
			{
				// Instantiate a new sprite offscreen
				sprite = new FlxSprite( -100, -100);	
				sprite.loadGraphic("assets/images/playerscissors.png", false, 32, 32);		
				sprite.exists = false;
				// Add it to the group of player bullets
				playerScissors.add(sprite);	
			}	

		add(playerRocks);
		add(playerPapers);
		add(playerScissors);


		_aliens1 = new FlxGroup();
		add (_aliens1);

		_aliens2 = new FlxGroup();
		add (_aliens2);

		_aliens3 = new FlxGroup();
		add (_aliens3);




/*		_bulletNumberText = new FlxText(10, 8, 200, "" + _bulletType);
		_bulletNumberText.setFormat(null, 32, 0xFFFFFFFF, "right");
		add(_bulletNumberText);

*/		


		_thrower = new Thrower(FlxG.width-75,50);
		add(_thrower);

		_tower = new Tower(FlxG.width-58,260);
		add(_tower);

		resetSpawnTimer();

		var _interface = new FlxSprite(0, 0);	
		_interface.loadGraphic("assets/images/interface_draft.png", false, 640, 360);	
		add(_interface);


		_orangeRock = new OrangeRock(0,0);
		_orangeRock.visible = false;
		add (_orangeRock);

				_orangePaper = new OrangePaper(0,0);
		_orangePaper.visible = false;
		add (_orangePaper);

				_orangeScissors = new OrangeScissors(0,0);
		_orangeScissors.visible = false;
		add (_orangeScissors);




		Reg.score = 0;
		_scoreText = new FlxText(60, 7, 200, "" + Reg.score);
		_scoreText.setFormat(null, 16, 0xFFFFFFFF, "left");
		add(_scoreText);

		// Creates tower health text
		_healthText = new FlxText(540, 7, 200, "" + _health + "%");
		_healthText.setFormat(null, 16, 0xFFFFFFFF, "left");
		add(_healthText);

//		_bulletTypeText = new FlxText(10, 30, 200, "Weapon: "+ _bulletTypeText);
//		_bulletTypeText.setFormat(null, 8, 0xFFFFFFFF, "left");
//		add(_bulletTypeText);

		super.create();

	}
	
	/**
	 * Function that is called when this state is destroyed - you might want to 
	 * consider setting all objects this state uses to null to help garbage collection.
	 */
	override public function destroy():Void
	{
		super.destroy();
	}

	/**
	 * Function that is called once every frame.
	 */
	override public function update():Void
	{
		
		_spawnTimer -= FlxG.elapsed;

		if(_spawnTimer < 0)
		{
			
			_spawnType = FlxRandom.intRanged(1, 3);

			if (_spawnType == 1)
			{spawnAlien1();}

			if (_spawnType == 2)
			{spawnAlien2();}

			if (_spawnType == 3)
			{spawnAlien3();}



			resetSpawnTimer();
		}


		FlxG.overlap(_aliens1, playerPapers, overlapPaperBeatsRock);
		FlxG.overlap(_aliens2, playerScissors, overlapScissorsBeatsPaper);
		FlxG.overlap(_aliens3, playerRocks, overlapRockBeatsScissors);

		FlxG.overlap(_aliens1, _tower, overlapAlienTower);
		FlxG.overlap(_aliens2, _tower, overlapAlienTower);
		FlxG.overlap(_aliens3, _tower, overlapAlienTower);

		if(_health < 4)
		{loseGame();}


		 if (FlxG.keys.justPressed.Q)
			{
//				_bulletTypeText.text = "Weapon: ROCK";
			_orangeRock.visible = true;
			_orangePaper.visible = false;
			_orangeScissors.visible = false;


			}

		if (FlxG.keys.justPressed.W)
			{
//				_bulletTypeText.text = "Weapon: PAPER";
				_orangeRock.visible = false;
				_orangePaper.visible = true;
				_orangeScissors.visible = false;


			}

		if (FlxG.keys.justPressed.E)
			{
//				_bulletTypeText.text = "Weapon: SCISSORS";
				_orangeRock.visible = false;
				_orangePaper.visible = false;
				_orangeScissors.visible = true;


			}


		super.update();


	}	

	private function spawnAlien1():Void
	{
//		_aliens1.add(new Shadow(0, 285));
		_aliens1.add(new Alien1(0, 280));
	}

		private function spawnAlien2():Void
	{
//		_aliens2.add(new Shadow(0, 285));
		_aliens2.add(new Alien2(0, 280));
	}

		private function spawnAlien3():Void
	{
//		_aliens3.add(new Shadow(0, 285));
		_aliens3.add(new Alien3(0, 280));
	}

		private function resetSpawnTimer():Void
	{
		_spawnTimer = _spawnInterval;
		_spawnInterval *= 0.95;
		if(_spawnInterval < 0.1)
			{
				_spawnInterval = 0.1;
			}


	}

	private function overlapPaperBeatsRock(a:FlxSprite, b:FlxSprite):Void
	{


		a.kill();
		b.kill();
		Reg.score += 1;
		_scoreText.text = "" + Reg.score;

	}

	private function overlapScissorsBeatsPaper(a:FlxSprite, b:FlxSprite):Void
	{


		a.kill();
		b.kill();
		Reg.score += 1;
		_scoreText.text = "" + Reg.score;

	}

	private function overlapRockBeatsScissors(a:FlxSprite, b:FlxSprite):Void
	{


		a.kill();
		b.kill();
		Reg.score += 1;
		_scoreText.text = "" + Reg.score;

	}

	private function overlapAlienTower(a:FlxSprite, b:FlxSprite):Void
	{


		a.kill();
		_health -=5;
		_healthText.text = "" + _health + "";

	}



	function loseGame():Void
	{
		_thrower.kill();
//		FlxG.quake.start(0.02);
		FlxG.switchState(new LoseState());
	}




	/* private function overlapAlienShip(alien: Alien, ship: Ship):void
		{
		ship.kill();
		alien.kill();
		FlxG.quake.start(0.02);

		_gameOverText = new FlxText(0, FlxG.height / 2, FlxG.width,
		"GAME OVER\nPRESS ENTER TO PLAY AGAIN");
		_gameOverText.setFormat(null, 16, 0xFF597137, "center");
		add(_gameOverText);
		}
	*/



}

