package;

import flixel.FlxG;
import flixel.FlxSprite;
import flixel.FlxState;
import flixel.text.FlxText;
import flixel.ui.FlxButton;
import flixel.util.FlxMath;
import flixel.group.FlxGroup;
import flixel.util.FlxRandom;





/**
 * A FlxState which can be used for the actual gameplay.
 */
class PlayState extends FlxState
{


	public var playerRocks:FlxGroup;
	public var _thrower:Thrower;
//	public var _enemy:Alien;
	private var _spawnTimer:Float;
	private var _spawnInterval:Float = 4.5;
	private var _aliens1:FlxGroup;
	private var _aliens2:FlxGroup;
	private var _aliens3:FlxGroup;

	private var _scoreText: FlxText;
	private var _bulletTypeText: FlxText;
	private var _bulletNumberText: FlxText;
	private var _gameOverText: FlxText;
	private var _spawnType:Int = 1;
	public var _bulletType:Int =2;



	override public function create():Void
	{

//		var rock:FlxSprite = new FlxSprite(0,FlxG.height - 64);
//		rock.loadGraphic("assets/images/rock.png", false, 64, 64);
//		add(rock);
//		rock.velocity.x = 10;
		_aliens1 = new FlxGroup();
		add (_aliens1);

		_aliens2 = new FlxGroup();
		add (_aliens2);

		_aliens3 = new FlxGroup();
		add (_aliens3);

//		_enemy = new Alien(100,100);
//		add (_enemy);


		// Creates score text
		Reg.score = 0;
		_scoreText = new FlxText(10, 8, 200, "" + Reg.score);
		_scoreText.setFormat(null, 32, 0xFF597137, "right");
		add(_scoreText);

		_bulletTypeText = new FlxText(10, 8, 200, "Weapon");
		_bulletTypeText.setFormat(null, 32, 0xFF597137, "right");
		add(_bulletTypeText);


		_bulletNumberText = new FlxText(10, 8, 200, "" + _bulletType);
		_bulletNumberText.setFormat(null, 32, 0xFFFFFFFF, "right");
		add(_bulletNumberText);


		var numPlayerRocks:Int = 32;
		// Initializing the array is very important and easy to forget!
		playerRocks = new FlxGroup(numPlayerRocks);
		var sprite:FlxSprite;
		
		// Create 8 bullets for the player to recycle
		for (i in 0...numPlayerRocks)	
		{
				// Instantiate a new sprite offscreen
				sprite = new FlxSprite( -100, -100);	
				// Create a 2x8 white box
				sprite.makeGraphic(8, 4);			
				sprite.exists = false;
				// Add it to the group of player bullets
				playerRocks.add(sprite);			
		

			/*			if (_bulletType == 2)		
			{
				// Instantiate a new sprite offscreen
				sprite = new FlxSprite( -100, -100);	
				// Create a 2x8 white box
				sprite.makeGraphic(8, 8);			
				sprite.exists = false;
				// Add it to the group of player bullets
				playerBullets.add(sprite);			
			}

						if (_bulletType == 3)		
			{
				// Instantiate a new sprite offscreen
				sprite = new FlxSprite( -100, -100);	
				// Create a 2x8 white box
				sprite.makeGraphic(2, 8);			
				sprite.exists = false;
				// Add it to the group of player bullets
				playerBullets.add(sprite);			
			}*/

		}
		
		add(playerRocks);

		_thrower = new Thrower(FlxG.width-64,100);
		add(_thrower);

		resetSpawnTimer();

		super.create();

	}
	
	/**
	 * Function that is called when this state is destroyed - you might want to 
	 * consider setting all objects this state uses to null to help garbage collection.
	 */
	override public function destroy():Void
	{
		super.destroy();
	}

	/**
	 * Function that is called once every frame.
	 */
	override public function update():Void
	{
		
		_spawnTimer -= FlxG.elapsed;

		if(_spawnTimer < 0)
		{
			
			_spawnType = FlxRandom.intRanged(1, 3);

			if (_spawnType == 1)
			{spawnAlien1();}

			if (_spawnType == 2)
			{spawnAlien2();}

			if (_spawnType == 3)
			{spawnAlien3();}



			resetSpawnTimer();
		}

		bulletTypeControls();

		FlxG.overlap(_aliens1, playerRocks, overlapAlien1Bullet);
		//FlxG.overlap(_aliens2, playerBullets, overlapAlien2Bullet);
		//FlxG.overlap(_aliens3, playerBullets, overlapAlien3Bullet);



		super.update();


	}	

	private function spawnAlien1():Void
	{
		_aliens1.add(new Alien1(0, 280));
	}

		private function spawnAlien2():Void
	{
		_aliens2.add(new Alien2(0, 280));
	}

		private function spawnAlien3():Void
	{
		_aliens3.add(new Alien3(0, 280));
	}

		private function resetSpawnTimer():Void
	{
		_spawnTimer = _spawnInterval;
		_spawnInterval *= 0.95;
		if(_spawnInterval < 0.1)
			{
				_spawnInterval = 0.1;
			}
	}

	private function overlapAlien1Bullet(a:FlxSprite, b:FlxSprite):Void
	{


		a.kill();
		b.kill();
		Reg.score += 1;
		_scoreText.text = "" + Reg.score;

	}

	private function overlapAlien2Bullet(a:FlxSprite, b:FlxSprite):Void
	{


		a.kill();
		b.kill();
		Reg.score += 1;
		_scoreText.text = "" + Reg.score;

	}

	private function overlapAlien3Bullet(a:FlxSprite, b:FlxSprite):Void
	{


		a.kill();
		b.kill();
		Reg.score += 1;
		_scoreText.text = "" + Reg.score;

	}

	private function bulletTypeControls():Void
	{
		 if (FlxG.keys.justPressed.Q)

			{

				_bulletType = 1;
				_bulletNumberText.text = "" + _bulletType;
				_bulletTypeText.text = "rock";

			}

		if (FlxG.keys.justPressed.W)

			{

				_bulletType = 2;
				_bulletNumberText.text = "" + _bulletType;
				_bulletTypeText.text = "paper";

			}

		if (FlxG.keys.justPressed.E)

			{
				_bulletType = 3;
				_bulletNumberText.text = "" + _bulletType;

				_bulletTypeText.text = "scissors";

			}
	}


	/* private function overlapAlienShip(alien: Alien, ship: Ship):void
		{
		ship.kill();
		alien.kill();
		FlxG.quake.start(0.02);

		_gameOverText = new FlxText(0, FlxG.height / 2, FlxG.width,
		"GAME OVER\nPRESS ENTER TO PLAY AGAIN");
		_gameOverText.setFormat(null, 16, 0xFF597137, "center");
		add(_gameOverText);
		}
	*/



}

